import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import ElementPlus from 'element-plus'
import { createPinia } from 'pinia'
import 'element-plus/dist/index.css'
import './assets/css/public.css'
import './assets/iconfont/iconfont.css'
import './assets/iconfont/iconfont.js'
import './assets/css/public.css'
import './assets/css/common.less'
import locale from 'element-plus/es/locale/lang/zh-cn'
import tablesMove from '@/directives/tableMove'
import useTable from "@/components/useTable/useTable"
import formCustom, { SearchFormItem } from '@/components/useTable/searchForm'
import virtualizedSelect from '@/components/virtualizedSelect/virtualizedSelect.vue'
import uploadFile from './components/upload/upload.vue'
import Squre, { SqureWrap } from './components/squre/squre'
const app = createApp(App)
tablesMove(app)
app.component('virtualizedSelect', virtualizedSelect)
app.component('useTable', useTable)
app.component('formCustom', formCustom)
app.component('formCustomItem', SearchFormItem)
app.component('upload-file', uploadFile)
app.component('Squre', Squre)
app.component('SqureWrap', SqureWrap)

app.use(createPinia())
app.use(ElementPlus, { locale })
app.use(router)
app.mount('#app')

//关闭警告
app.config.warnHandler = (msg, instance, trace) => {

}
