
import { sendPost } from '@/http/http'
import { baseURL } from '@/utils/baseUrl'
export class classRequest {
    constructor() {
        this.modules = this.getModules()
    }
    getValue(obj, key, separator = '/') {
        if (typeof obj !== 'object') {
            return undefined
        }
        let keyList = key.replace(/\[\d\]/g, ($0, $1) => {
            return '.' + JSON.parse($0)[0]
        }).split(separator)
        let pre = obj
        for (const item of keyList) {
            pre = pre[item]
            if (pre === undefined) {
                break
            }

        }
        return pre
    }
    getModules() {
        const modulesFiles = import.meta.glob('./request/*.js', { eager: true })
        const modules = Object.entries(modulesFiles).reduce((moduless, [modulePath, value]) => {
            const moduleName = modulePath.replace(/^\.\/(.*)\.\w+$/, '$1').split('/')[1]
            moduless[moduleName] = value.default
            return moduless
        }, {})
        return modules
    }
    request(key, params) {
        const item = this.getValue(this.modules, key)
        const axiosRequestConfig = {
            url: baseURL() + item.url,
            method: item.method || 'post',
            headers: item.headers
        }
        return sendPost(axiosRequestConfig, params, item.otherParams, item.messageObj)
    }
}
