export const baseURL = () => {
	const BaseUrlObj = {
		"development": "", //本地环境
		"develop": "", // 测试环境
		"master": "" // 线上环境
	}
	if(!import.meta.env.VITE_APP_GRALIC) {
		throw new Error('import.meta.env.VITE_APP_GRALIC为空')
	}
	return BaseUrlObj[import.meta.env.VITE_APP_GRALIC]
}
// 上传阿里云域名接口配置
export const getAliFileUploadUrl = () => {
	if (import.meta.env.VITE_APP_GRALIC === 'master') {
		return {
			requestUrl: 'https://file-hs.us0.me',
			region: 'oss-cn-beijing',
			projectFirst: '',
			1: {
				domain: 'https://img-demo.com',
				bucket: 'img-demo',
				projectSecond: '',
				zip: '?x-oss-process=image/quality,q_80/format,'
			},
			2: {
				domain: 'https://video-demo.com',
				bucket: 'video-demo',
				projectSecond: ''
			},
			3: {
				domain: 'https://audio-demo.com',
				bucket: 'audio-demo',
				projectSecond: ''
			}
		}
	} else {
		return {
			requestUrl: 'https://file-hs.us0.me',
			region: 'oss-cn-beijing',
			projectFirst: 'demo/',
			1: {
				domain: 'https://fat-all-o.demo.net',
				bucket: 'fat-all-o',
				projectSecond: 'img/',
				zip: '?x-oss-process=image/quality,q_80/format,'
			},
			2: {
				domain: 'https://fat-all-o.demo.net',
				bucket: 'fat-all-o',
				projectSecond: 'video/'
			},
			3: {
				domain: 'https://fat-all-o.demo.net',
				bucket: 'fat-all-o',
				projectSecond: 'audio/'
			}
		}
	}
}
