import { mergeOption } from './index'
export const echartsOptionFun = (type, tooltipFun) => {
	const commonOptions = {
		grid: {
			left: 50,
			right: 40,
			bottom: 30
		},
		tooltip: {
			backgroundColor: "#303354",
			borderColor: "#303354",
			textStyle: {
				color: "#fff",
				fontSize: 12
			},
			position: 'top',
			formatter: (a) => {
				let html = `<div style='padding:7px; box-sizing:border-box;min-width:154px;'>
					${tooltipFun(a)}
					</div>
					<div style='position: absolute;
					bottom: -24px;
					transform: translate(-50%,0);
					left: 50%;
					z-index: 2; 
					width: 0;
					height: 0;
					border-top: 12px solid #303354;
					border-left: 12px solid transparent;
					border-right: 12px solid transparent;
					border-bottom: 12px solid transparent;
					'>
				</div>`
				return html
			}
		}
	}
	const echartsOptions = {
		'pie': {
			series: [
				{
					type: 'pie',
					radius: ['40%', '70%'],
					emphasis: {
						scaleSize: 20
					},
					label: {
						show: true,
						color: '#8C8C8C'
					}
				}
			]
		},
		'line': {
			xAxis: {
				type: "category",
				boundaryGap: false,
				axisLine: {
					lineStyle: {
						color: "#EDEDED"
					}
				},
				axisLabel: {
					color: "#999999",
				}
			},
			yAxis: {
				type: "value",
				axisLine: {
					lineStyle: {
						color: "#F2F2F2"
					}
				},
				axisLabel: {
					color: "#999999",
				},
				splitLine: {
					lineStyle: {
						type: "dashed",
					}
				}
			},
			series: [
				{
					type: 'line',
					lineStyle: {
						color: "#6699FF",
						width: 6
					},
					symbol: "circle",
					symbolSize: 12,
					areaStyle: {
						color: "rgba(102,153,255,0.08)"
					},
					itemStyle: {
						color: "#70A0FE"
					}
				}
			]
		}
	}
	return mergeOption({}, commonOptions, echartsOptions[type])
}
