export const strLength = (data) => {
	var realLength = 0, len = data.length, charCode = -1;
	for (var i = 0; i < len; i++) {
		charCode = data.charCodeAt(i);
		if (charCode >= 0 && charCode <= 128) realLength += 1;
		else realLength += 2;
	}
	return realLength;
}
export const getAccept = (type) => {
	const fileAccptObj = {
		1: ['.jpg', '.png', '.jpeg'],
		2: ['.mp4', '.mov', '.mp3']
	}
	if (!type) {
		throw new Error('请传入类型')
	}
	if (!fileAccptObj[type]) {
		throw new Error('请传入正确的类型')
	}
	return fileAccptObj[type]
}
export const materialTypeLabel = (type) => {
	const obj= {
		1: '图文',
		2: '视频',
		3: '音频'
	}
	return obj[type]
}
export const randomString = (e) => {
	e = e || 32;
	var t = "ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678",
		a = t.length,
		n = "";
	for (var i = 0; i < e; i++) {
		n += t.charAt(Math.floor(Math.random() * a))
	}
	return n + Date.now()
}
export const materialType = (type) => {
	const imgList= ['.jpg', '.png', '.jpeg']
	const VideoList= ['.mp4', '.mov']
	const audoList= ['.mp3']
	const fileObj = {}
	imgList.forEach((item => {
		fileObj[item] = 1
	}))
	VideoList.forEach(item => {
		fileObj[item] = 2
	})
	audoList.forEach(item => {
		fileObj[item] = 3
	})
	return fileObj[type]
}
export const cancelRequestT = function(source) {
	if (typeof source === 'function') {
		source('终止请求')
	}
}

export const testDataType = (target, type) => {
	return Object.prototype.toString.call(target) === `[object ${type}]`
}
export const mergeOption = (target, ...rest) => {
	return rest.reduce((acc, cur) => {
		return Object.keys(cur).reduce((subAcc, key) => {
			const srcVal = cur[key]
			if (testDataType(srcVal, 'Object')) {
				subAcc[key] = mergeOption(subAcc[key] ? subAcc[key] : {}, srcVal)
			} else if (testDataType(srcVal, 'Array')) {
				subAcc[key] = srcVal.map((item, idx) => {
					if (testDataType(item, 'Object')) {
						const curAccVal = subAcc[key] ? subAcc[key] : []
						return mergeOption(curAccVal[idx] ? curAccVal[idx] : {}, item)
					} else {
						return item
					}
				})
			} else {
				subAcc[key] = srcVal
			}
			return subAcc
		}, acc)
	}, target)
}

export const tansMoney = (value) => { 
	let temp = value.toString();
	temp = temp.replace(/[^\d.]/g, "")
	temp = temp.replace(/^\./g, "")
	temp = temp.replace(/\.{2,}/g, "")
	temp = temp.replace(".", "$#$").replace(/\./g, "").replace("$#$", ".")
	temp = temp.replace(/^(\-)*(\d+)\.(\d\d).*$/, "$1$2.$3")
	return temp
}

