'use strict'

let watermark = {
}

let setWatermark = (str) => {
    let id = 'watermark'

    if (document.getElementById(id) !== null) {
        document.body.removeChild(document.getElementById(id))
    }
    let can = document.createElement('canvas')
    can.width = 260
    can.height = 100

    let cans = can.getContext('2d')
    cans.rotate(-10 * Math.PI / 100)
    cans.font = '14px Vedana'
    cans.fillStyle = 'rgba(0, 0, 0, 0.10)'
    cans.textAlign = 'left'
    cans.textBaseline = 'Middle'
    cans.fillText(str, can.width / 16, can.height / 2)

    let div = document.createElement('div')
    div.id = id
    div.style.pointerEvents = 'none'
    div.style.top = '0px'
    div.style.left = '0px'
    div.style.position = 'fixed'
    div.style.zIndex = '100000'
    div.style.width = document.documentElement.clientWidth + 'px'
    div.style.height = document.documentElement.clientHeight + 'px'
    div.style.background = 'url(' + can.toDataURL('image/png') + ') left top repeat'
    document.body.appendChild(div)
    setTimeout(() => {
        // 防止用户在控制台修改删除水印
        let body = document.getElementsByTagName('body')[0]
        let options = {
            childList: true,
            attributes: true,
            characterData: true,
            subtree: true,
            attributeOldValue: true,
            characterDataOldValue: true
        }
        let observer = new MutationObserver(() => {
            div.id = id
            div.style.pointerEvents = 'none'
            div.style.top = '0px'
            div.style.left = '0px'
            div.style.position = 'fixed'
            div.style.zIndex = '100000'
            div.style.width = document.documentElement.clientWidth + 'px'
            div.style.height = document.documentElement.clientHeight + 'px'
            div.style.background = 'url(' + can.toDataURL('image/png') + ') left top repeat'
            observer.disconnect();
            observer.observe(body, options)
            return false
        })
        observer.observe(body, options) // 监听body节点
    }, 1000);  // 防止在页面未渲染完成的时候找不到页面id
    return id
}

// 该方法只允许调用一次
watermark.set = (str) => {
    let id = setWatermark(str)
    setInterval(() => {
        if (document.getElementById(id) === null) {
            id = setWatermark(str)
        }
    }, 500)
    window.onresize = () => {
        setWatermark(str)
    }
}

const outWatermark = (id) => {
    if (document.getElementById(id) !== null) {
        const div = document.getElementById(id)
        div.style.display = 'none'
    }
}
watermark.out = () => {
    const str = 'watermark'
    outWatermark(str)
}

export default watermark

